[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.ItemRect

Returns the client rectangle for an item (including scrollbar area).

## Declaration

Source position: stdctrls.pp line 622

`public function TCustomListBox.ItemRect(`
`Index: Integer`
`):TRect;`

## Arguments

`Index` |  | The tentative item index.

## Function result

The item area; all zeroes for an invalid item index.

## Description

Index must be in the range 0 to ItemCount to be considered valid. The result is valid also for the next item, that will be added subsequently.